automatic update from 3.06 to 3.08 has broken my board

Get help with installation and running phpBB 3.0.x here. Please do not post bug reports, feature requests, or MOD-related questions here.
Scam Warning

automatic update from 3.06 to 3.08 has broken my board

Postby paulbel » Fri Jan 28, 2011 11:56 pm

Support Request Template
What version of phpBB are you using? phpBB 3.0.6
What is your board's URL? http://consultingstoryteller.com/conf
Who do you host your board with? paulbel.retrix.com
How did you install your board? I used the download package from phpBB.com
Is your board a fresh install or a conversion? Update from a previous version of phpBB3
Do you have any MODs installed? No
Is registration required to reproduce this issue? No
What version of phpBB3 did you update from? phpBB 3.0.6
What styles do you currently have installed? subsilver
What language(s) is your board currently using? English
Which database type/version are you using? MySQL 4
What is your level of experience? New to PHP but not phpBB
When did your problem begin? I tried to use the automatic update to update from 3.06 to 3.08, and upload merged files as identified by the automatic update function
Please describe your problem. after some difficulties getting the .htaccess files uploaded, I ran the automatic update and dowloaded merged files, uploaded them to my directory and I get this set of errors when I try to load the board at http://consultingstoryteller.com/conf/

++++
Warning: require(./includes/auth.php) [function.require]: failed to open stream: No such file or directory in /usr/home/paulbel/Websites/consultingstoryteller.com/conf/common.php on line 193

Fatal error: require() [function.require]: Failed opening required './includes/auth.php' (include_path='.:/usr/local/lib/php') in /usr/home/paulbel/Websites/consultingstoryteller.com/conf/common.php on line 193

+++++

When I rename the Install directory and try to run the install program at http://consultingstoryteller.com/conf/install/ i get:

++++++
Warning: include(./../includes/auth.php) [function.include]: failed to open stream: No such file or directory in /usr/home/paulbel/Websites/consultingstoryteller.com/conf/install/index.php on line 162

Warning: include() [function.include]: Failed opening './../includes/auth.php' for inclusion (include_path='.:/usr/local/lib/php') in /usr/home/paulbel/Websites/consultingstoryteller.com/conf/install/index.php on line 162

Warning: include(./../includes/utf/utf_tools.php) [function.include]: failed to open stream: No such file or directory in /usr/home/paulbel/Websites/consultingstoryteller.com/conf/install/index.php on line 168

Warning: include() [function.include]: Failed opening './../includes/utf/utf_tools.php' for inclusion (include_path='.:/usr/local/lib/php') in /usr/home/paulbel/Websites/consultingstoryteller.com/conf/install/index.php on line 168

Warning: include(./../language/en/posting.php) [function.include]: failed to open stream: No such file or directory in /usr/home/paulbel/Websites/consultingstoryteller.com/conf/install/index.php on line 235

Warning: include() [function.include]: Failed opening './../language/en/posting.php' for inclusion (include_path='.:/usr/local/lib/php') in /usr/home/paulbel/Websites/consultingstoryteller.com/conf/install/index.php on line 235

Fatal error: Class 'auth' not found in /usr/home/paulbel/Websites/consultingstoryteller.com/conf/install/index.php on line 252

+++++

The only files I have ever modified are the phpBB logo files, to make them my own.
Generated by SRT Generator ($Rev: 4766 $)
Last edited by tmbackoff on Sat Jan 29, 2011 9:36 am, edited 1 time in total.
Reason: Topic icon changed
paulbel
Registered User
 
Posts: 9
Joined: Fri Mar 09, 2007 8:26 am

Re: automatic update from 3.06 to 3.08 has broken my board

Postby Kevin Clark » Fri Jan 28, 2011 11:57 pm

paulbel wrote: Do you have any MODs installed? No

Just do this

*NOTE: Before proceeding backup all files and the database.*
  • Upload all new files from a download of the full version, EXCEPT for config.php, the /images and /files folders.
  • Go to yoursite.com/forumfolder/install/database_update.php
  • Let that run and then delete the install folder.
  • You now have a new up to date board containing all your users and posts but without any MODs that you might have had installed.
User avatar
Kevin Clark
Support Team Member
Support Team Member
 
Posts: 59455
Joined: Fri Jun 04, 2004 10:44 am
Location: Oxford, UK

Re: automatic update from 3.06 to 3.08 has broken my board

Postby paulbel » Sat Jan 29, 2011 12:17 am

Thanks!

but I have now lost my logo. I had changed logo_phpBB.gif and logo_phpBB_med.gif to represent my own logo, and those have been overwritten, I guess.

Is there a way for me to designate my own logo without using these file names?
paulbel
Registered User
 
Posts: 9
Joined: Fri Mar 09, 2007 8:26 am

Re: automatic update from 3.06 to 3.08 has broken my board

Postby Kevin Clark » Sat Jan 29, 2011 12:18 am

Make your new logo file and save it as a gif, jpg or png file.

Upload it to your forum/styles/stylename/imagesets folder

Open
imageset/imageset.cfg

Find
Code: Select all
img_site_logo = site_logo.gif*52*139

and edit the logo name and dimensions accordingly.

Admin panel>styles>imagesets>refresh
Then hold shift and refresh your forum index.
User avatar
Kevin Clark
Support Team Member
Support Team Member
 
Posts: 59455
Joined: Fri Jun 04, 2004 10:44 am
Location: Oxford, UK

Re: automatic update from 3.06 to 3.08 has broken my board

Postby paulbel » Sat Jan 29, 2011 4:46 am

Many thanks. I found most of those instructions with a search but didn't find, or didn't notice, the
"refresh imageset" part. Much better now.
paulbel
Registered User
 
Posts: 9
Joined: Fri Mar 09, 2007 8:26 am


Return to 3.0.x Support Forum

Who is online

Users browsing this forum: Google Adsense [Bot], pokamiami and 86 guests